﻿package actions {
	
	/*
	always extend a class using movieclip instead of sprite when using flash.
	*/

	import flash.display.MovieClip;
	import flash.events.*;
	import flash.net.*;
	import flash.text.*;
	
	/*
	create our class
	*/
	
	public class main extends MovieClip {
		
		public function main ():void {

			/*
			buttonMode gives the submit button a rollover
			*/
			
			submit_button.buttonMode = true;

			/*
			what this says is that when our button is pressed, the checkLogin function will run
			*/

			submit_button.addEventListener(MouseEvent.MOUSE_DOWN, checkLogin);
			
			/*
			set the initial textfield values
			*/
			
			username.text = "";
			password.text = "";
		
		}

		/*
		the function to check login
		*/
		
		public function checkLogin (e:MouseEvent):void {
		
			/*
			check fields before sending request to php
			*/
			
			if (username.text == "" || password.text == "") {
				
				/*
				if username or password fields are empty set error messages
				*/
				
				if (username.text == "") {
				
				username.text = "Enter your username";
				
				} 
				
				if (password.text == "") {
				
				password.text = "Enter your password";
				
				}
			
			} else {
				
				/*
				init function to process login
				*/
			
				processLogin();
			
			}
		
		}
		
		/*
		function to process our login
		*/
		
		public function processLogin ():void {
			
			/*
			variables that we send to the php file
			*/
		
			var phpVars:URLVariables = new URLVariables();
			
			/*
			we create a URLRequest  variable. This gets the php file path.
			*/
			
			var phpFileRequest:URLRequest = new URLRequest("php/controlpanel.php");
			
			/*
			this allows us to use the post function in php
			*/
			
			phpFileRequest.method = URLRequestMethod.POST;
			
			/*
			attach the php variables to the URLRequest
			*/
			
			phpFileRequest.data = phpVars;
			
			/*
			create a new loader to load and send our urlrequest
			*/
			
			var phpLoader:URLLoader = new URLLoader();
			phpLoader.dataFormat = URLLoaderDataFormat.VARIABLES;			
			phpLoader.addEventListener(Event.COMPLETE, showResult);
			
			/*
			now lets create the variables to send to the php file
			*/
			
			phpVars.systemCall = "checkLogin";
			phpVars.username = username.text;
			phpVars.password = password.text;
			
			/*
			this will start the communication between flash and php
			*/
			
			phpLoader.load(phpFileRequest);
		
		}
		
		/*
		function to show the result of the login
		*/
		
		public function showResult (event:Event):void {
			
			/*
			
			this autosizes the text field
			
			***** You will need to import flash's text classes. You can do this by: 
			
			import flash.text.*;
			
			*/
			
			result_text.autoSize = TextFieldAutoSize.LEFT;
			
			/*
			this gets the output and displays it in the result text field
			*/
			
			result_text.text = "" + event.target.data.systemResult;
		
		}
	
	}

}